Administration
List all websites
GET
/api/admin/websitesReturns a paginated, searchable list of websites across users and teams for administration.
Try it
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Token returned by POST /api/auth/login, or an API key (`umami_…`) created under Settings → API keys (self-hosted only). Bearer <token>. |
| x-umami-share-contextrequired | string | Required context header when authenticating with a share token. <api-key>. |
| x-umami-share-tokenrequired | string | Signed token returned by a share endpoint. <api-key>. |
Query parameters
| Name | Type | Description |
|---|---|---|
| page | integer | Page number, starting at 1. |
| pageSize | integer | Number of results per page. |
| maxResults | integer | Maximum number of results to include. |
| search | string | Search text used to filter results. |
| orderBy | string | Field to sort the results by. |
| sortDescending | enum<string> | Whether to sort results in descending order. Options: true, false |
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| countrequired | number | Number of matching records. |
| datarequired | any[] | Data returned by the operation. |
| isCapped | boolean | Whether the results were truncated by the maximum result limit. |
| orderBy | string | Field to sort the results by. |
| pagerequired | number | Page number, starting at 1. |
| pageSizerequired | number | Number of results per page. |
| search | string | Search text used to filter results. |
| sortDescending | boolean | Whether to sort results in descending order. |
200 example
400Bad request.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
Code samples
cURL